Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 75543 - wxGTK ebuild does not build utils
Summary: wxGTK ebuild does not build utils
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo wxWidgets Herd
URL:
Whiteboard:
Keywords:
Depends on: 89937
Blocks:
  Show dependency tree
 
Reported: 2004-12-24 05:41 UTC by Michael Siebert
Modified: 2005-04-26 13:19 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
builds and installes wxrc (wxGTK-2.4.2-r2.ebuild,4.34 KB, text/plain)
2004-12-24 06:39 UTC, Michael Siebert
Details
wxGTK-2.5.4.ebuild (wxGTK-2.5.4.ebuild,4.87 KB, text/plain)
2005-02-26 18:10 UTC, david somers
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Siebert 2004-12-24 05:41:03 UTC
wxGTK has some utils like "wxrc", that compiles resource files from xrc files. It is needed by the cvs version of hugin (hugin.sf.net) and I guess by some other builds. Theses utils are not compiled and installed by default, the ebuild is missing them, too.

Reproducible: Always
Steps to Reproduce:
1.
2.
3.
Comment 1 Michael Siebert 2004-12-24 06:39:02 UTC
Created attachment 46787 [details]
builds and installes wxrc

modified x11-libs/wxGTK-2.4.2-r2.ebuild file, added two lines per option:
cd ../utils/wxrc
emake|dobin wxrc || die "make|install OPTION wxrc failed"
Comment 2 Raphael Jacquot 2005-01-18 11:46:07 UTC
the patch works somewhat, however, there's a problem with the linking of 
libwx_gtk2u-2.4.so.0.1.1  
and
libwx_gtk2u_xrc-2.4.so
Comment 3 david somers 2005-02-26 18:10:59 UTC
Created attachment 52211 [details]
wxGTK-2.5.4.ebuild

Bumps version to 2.5.4
Fixes this bug, and incorporates my fixes for bugs 74043 and 83417 too.
Comment 4 Rob Cakebread (RETIRED) gentoo-dev 2005-04-26 13:19:07 UTC
Closing with WONTFIX because I'm about to remove all the 2.5* versions when I put 2.6.0 in portage and all these issues are fixed in it. Thanks.